#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QMenu>
#include <QMenuBar>
#include <QFileDialog>
#include <QTreeView>
#include <QAction>
#include <QVector>

#include "parser.h"

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:
    void openFile();
    void closeAll();
    void closeFile();
    void closeFile(const QModelIndex& name);
    void quit();
    void customMenuRequested(QPoint pos);
    void makeActive();
    void openInNewWindow();
private:
    QVector<QString> names;
    XmlParser* model;
    QTreeView* treeView;
};
#endif // MAINWINDOW_H

